const para = document.querySelector(".error") // nur das erste Element mit dem Klass error wird zurück gegeben
console.log(para)

const errors = document.querySelectorAll(".error") // in diesem Fall bekommt man alle Elementen, die den Klass error beinhalten
console.log(errors)

const paras = document.querySelectorAll("p") // damit weren alle Elementen aus dem Dokument zurückgegeben, die eigentlich Paragraph<p> sind
console.log(paras)

console.log(paras[0]) // wird das erste Element aus dem paras Feld der zurückgegebenen Elementen zurückgegeben  
console.log(paras[1]) // wird das zweite Element aus dem paras Feld der zurückgegebenen Elementen zurückgegeben 
console.log(paras[2]) // wird das dritte Element aus dem paras Feld der zurückgegebenen Elementen zurückgegeben 
console.log(paras[3])// wenn ein Element nicht existiert, wird einen "undefined" Wert zurückgegeben

paras.forEach((element) => { // werden alle bestehenden Elementen aus dem Feld herausgegeben
    console.log(element)
});

errors.forEach((element) => {// werden alle bestehenden Elementen aus dem Feld herausgegeben
    console.log(element)
})
